Summary: GTK+ Based CD Ripper for Linux with a simple interface and minimal dependencies
Name: ripoff
Version: 0.8.3
Release: 1
License: GPL
Group: Applications/Multimedia
URL: http://ripoffc.sourceforge.net

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source: %{name}-%{version}.tar.gz 

BuildRequires: pkgconfig, gcc, libcddb-devel, libcdio-devel, libvorbis-devel, libogg-devel, flac-devel
Requires: /sbin/ldconfig
Patch: %{name}-rhel4-flac.patch

%description
RipOff is a GTK+ based CD Ripper for Linux that supports a simple interface, CDDB lookups, and a plugin-based encoder architecture.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files for %{name}. If you are interested in developing
plugins for %{name} or compiling a plugin seperately from the main %{name} distrubution
you will need to install this package.

%prep
%setup
%patch -p2
%build
%configure \
	--disable-mp3
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README* TODO
%{_bindir}/*
%{_libdir}/ripoff/plugins/*.so*
%{_libdir}/*.so*
%{_datadir}/applications/ripoff.desktop
%{_datadir}/pixmaps/ripoff.xpm

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/ripoff/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la

%changelog
* Sun Jun 18 2005 Ryan Newberry - 0.8
- Initial RPM
